Set call outcome
curl --request POST \
--url https://api.aura-app.ai/v1/calls/{id}/outcome \
--header 'Content-Type: application/json' \
--data '
{
"status": "closed",
"notes": "Deal closed for $5,000"
}
'import requests
url = "https://api.aura-app.ai/v1/calls/{id}/outcome"
payload = {
"status": "closed",
"notes": "Deal closed for $5,000"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({status: 'closed', notes: 'Deal closed for $5,000'})
};
fetch('https://api.aura-app.ai/v1/calls/{id}/outcome', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aura-app.ai/v1/calls/{id}/outcome",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'closed',
'notes' => 'Deal closed for $5,000'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aura-app.ai/v1/calls/{id}/outcome"
payload := strings.NewReader("{\n \"status\": \"closed\",\n \"notes\": \"Deal closed for $5,000\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aura-app.ai/v1/calls/{id}/outcome")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"closed\",\n \"notes\": \"Deal closed for $5,000\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aura-app.ai/v1/calls/{id}/outcome")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"closed\",\n \"notes\": \"Deal closed for $5,000\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"action_items": [
"Send proposal with detailed timeline",
"Book the technical demo"
],
"ai_summary": "<string>",
"attribution": {
"am_wuid": "wuid_4o251b0b130v3z6d5q0n",
"fbclid": "IwAR_sample_fbclid",
"utm_source": "facebook"
},
"booking_link_id": "850e8400-e29b-41d4-a716-446655440003",
"call_kind": "booking",
"call_stage": "first",
"closer_id": "user_2abc123xyz",
"conferencing_link": "https://zoom.us/j/123456789",
"created_at": "2026-01-17T08:00:00Z",
"duration_minutes": 45,
"ended_at": "2023-11-07T05:31:56Z",
"expected_deal_value": 5000,
"form_answers": [
{
"field_id": "field_1718000000000",
"label": "What is your monthly revenue?",
"value": "$10k-$50k",
"type": "select"
}
],
"form_data": [
{
"field_id": "budget",
"label": "What is your budget?",
"value": "<unknown>"
}
],
"guest_rsvp_confirmed_at": "2023-11-07T05:31:56Z",
"guest_rsvp_status": "yes",
"has_analysis": true,
"has_recording": true,
"id": "550e8400-e29b-41d4-a716-446655440000",
"lead_id": "650e8400-e29b-41d4-a716-446655440001",
"linked_payment_id": "<string>",
"notes": "<string>",
"product_id": "950e8400-e29b-41d4-a716-446655440004",
"recording_url": "<string>",
"referral": "<string>",
"scheduled_at": "2026-01-20T15:00:00Z",
"setter_id": "user_2def456uvw",
"started_at": "2023-11-07T05:31:56Z",
"status": "closed",
"transcript_data": {
"segments": [
{
"text": "<string>",
"end_seconds": 123,
"speaker": "<string>",
"start_seconds": 123
}
],
"duration_seconds": 123,
"language": "<string>"
},
"updated_at": "2026-01-17T09:30:00Z",
"utm_campaign": "summer_promo",
"utm_content": "<string>",
"utm_medium": "cpc",
"utm_source": "google",
"utm_term": "<string>",
"calendar_attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"calendar_outcome": "committed",
"old_event_left_on_calendar": true
},
"success": true
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "NOT_FOUND",
"error": "Lead not found",
"success": false,
"requestId": "req_abc123"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "NOT_FOUND",
"error": "Lead not found",
"success": false,
"requestId": "req_abc123"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}Calls
Set call outcome
Set the outcome of a call with a status and optional notes.
Valid statuses (matches the Postgres call_status enum exactly):
shown- Lead attended the callno_show- Lead did not attendcancelled- Call cancelled before it happenedrescheduled- Call rescheduled to a new timeclosed- Deal closed successfullylost- Deal was lostfollow_up- Needs follow-updeclined- Closer declined to take the call
POST
/
v1
/
calls
/
{id}
/
outcome
Set call outcome
curl --request POST \
--url https://api.aura-app.ai/v1/calls/{id}/outcome \
--header 'Content-Type: application/json' \
--data '
{
"status": "closed",
"notes": "Deal closed for $5,000"
}
'import requests
url = "https://api.aura-app.ai/v1/calls/{id}/outcome"
payload = {
"status": "closed",
"notes": "Deal closed for $5,000"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({status: 'closed', notes: 'Deal closed for $5,000'})
};
fetch('https://api.aura-app.ai/v1/calls/{id}/outcome', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aura-app.ai/v1/calls/{id}/outcome",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'closed',
'notes' => 'Deal closed for $5,000'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aura-app.ai/v1/calls/{id}/outcome"
payload := strings.NewReader("{\n \"status\": \"closed\",\n \"notes\": \"Deal closed for $5,000\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aura-app.ai/v1/calls/{id}/outcome")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"closed\",\n \"notes\": \"Deal closed for $5,000\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aura-app.ai/v1/calls/{id}/outcome")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"closed\",\n \"notes\": \"Deal closed for $5,000\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"action_items": [
"Send proposal with detailed timeline",
"Book the technical demo"
],
"ai_summary": "<string>",
"attribution": {
"am_wuid": "wuid_4o251b0b130v3z6d5q0n",
"fbclid": "IwAR_sample_fbclid",
"utm_source": "facebook"
},
"booking_link_id": "850e8400-e29b-41d4-a716-446655440003",
"call_kind": "booking",
"call_stage": "first",
"closer_id": "user_2abc123xyz",
"conferencing_link": "https://zoom.us/j/123456789",
"created_at": "2026-01-17T08:00:00Z",
"duration_minutes": 45,
"ended_at": "2023-11-07T05:31:56Z",
"expected_deal_value": 5000,
"form_answers": [
{
"field_id": "field_1718000000000",
"label": "What is your monthly revenue?",
"value": "$10k-$50k",
"type": "select"
}
],
"form_data": [
{
"field_id": "budget",
"label": "What is your budget?",
"value": "<unknown>"
}
],
"guest_rsvp_confirmed_at": "2023-11-07T05:31:56Z",
"guest_rsvp_status": "yes",
"has_analysis": true,
"has_recording": true,
"id": "550e8400-e29b-41d4-a716-446655440000",
"lead_id": "650e8400-e29b-41d4-a716-446655440001",
"linked_payment_id": "<string>",
"notes": "<string>",
"product_id": "950e8400-e29b-41d4-a716-446655440004",
"recording_url": "<string>",
"referral": "<string>",
"scheduled_at": "2026-01-20T15:00:00Z",
"setter_id": "user_2def456uvw",
"started_at": "2023-11-07T05:31:56Z",
"status": "closed",
"transcript_data": {
"segments": [
{
"text": "<string>",
"end_seconds": 123,
"speaker": "<string>",
"start_seconds": 123
}
],
"duration_seconds": 123,
"language": "<string>"
},
"updated_at": "2026-01-17T09:30:00Z",
"utm_campaign": "summer_promo",
"utm_content": "<string>",
"utm_medium": "cpc",
"utm_source": "google",
"utm_term": "<string>",
"calendar_attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"calendar_outcome": "committed",
"old_event_left_on_calendar": true
},
"success": true
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "NOT_FOUND",
"error": "Lead not found",
"success": false,
"requestId": "req_abc123"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "NOT_FOUND",
"error": "Lead not found",
"success": false,
"requestId": "req_abc123"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}Set the outcome of a call with a status and optional notes.
Valid statuses (matches the Postgres
call_status enum exactly):
shown- Lead attended the callno_show- Lead did not attendcancelled- Call cancelled before it happenedrescheduled- Call rescheduled to a new timeclosed- Deal closed successfullylost- Deal was lostfollow_up- Needs follow-updeclined- Closer declined to take the call
Path Parameters
Call ID (UUID)
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
Call outcome status. Every value of the Postgres call_status enum except unfit, which Aura's own qualification flow sets.
Available options:
shown, no_show, cancelled, rescheduled, closed, lost, follow_up, declined Example:
"closed"
Notes about the outcome
Example:
"Deal closed for $5,000"